Name:       ibus-table-translit
Version:    1.2.0.20090907
Release:    1%{?dist}
Summary:    Translit tables for ibus-table
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-table >= 1.2
Requires(post):   ibus >= 1.2, ibus-table >= 1.2
BuildRequires:    ibus >= 1.2, ibus-table >= 1.2

%description
The package contains Translit tables for IBus-Table. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%configure --prefix=%{_prefix}
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n translit.db
%{_bindir}/ibus-table-createdb -i -n translit-ua.db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/ibus-table/tables/translit.db
%{_datadir}/ibus-table/tables/translit-ua.db
%{_datadir}/ibus-table/icons/translit.png
%{_datadir}/ibus-table/icons/translit-ua.png

%changelog
* Mon Sep 07 2009 Caius 'kaio' Chance <kaio at kaio.me> - 1.2.0.20090907-1.fc12
- Updated source.
- Introduced Ukrainian Translit table.

* Wed Jul 22 2009 Caius 'kaio' Chance <kaio at kaio.me> - 1.2.0.20090720-2.fc12
- Removed BuildRequires of gettext-devel and automake.
- Removed directories that do not need to own.
- Changed from autogen.sh to configure.

* Mon Jul 20 2009 Caius 'kaio' Chance <kaio at kaio.me> - 1.2.0.20090720-1.fc12
- Ported from SCIM.
